Bug 970925 - JSF and JSF+RF examples available from JBDS 6.0.1 have a floating logo
Summary: JSF and JSF+RF examples available from JBDS 6.0.1 have a floating logo
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
(Show other bugs)
Version: 6.0.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ER02
: 6.1.0
Assignee: Peter Palaga
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 08:51 UTC by Thomas Heute
Modified: 2017-12-08 15:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Issue with JSF+RF demo (95.23 KB, image/jpeg)
2013-06-05 08:51 UTC, Thomas Heute
no flags Details

Description Thomas Heute 2013-06-05 08:51:05 UTC
Created attachment 757079 [details]
Issue with JSF+RF demo

When using JBDS 6.0.1 and create a project from quickstarts available on the front page (JSF *and* JSF+RF), the logo is above the text as seen on the attached pic. This happens on the Eclipse embedded browser and Firefox 21 but not on Chrome.


How to reproduce:
- Start JBDS 6.0.1.
- On the first page there are various portal examples to choose from. Choose JSF or JSF+RF
- Deploy in JPP
- Put the portlet on the front page
- KABOOM

Comment 1 Peter Palaga 2013-06-07 19:52:12 UTC
Yes, I could reproduce it. It is caused by the fact that Mozilla does not support
 background-position-x and background-position-y.

Fixed in upstream through using background-position and background-origin instead.

Comment 2 Thomas Heute 2013-06-10 03:07:09 UTC
Moved back to ASSIGNED, apparently the fix is not correct, see comments on https://github.com/gatein/gatein-portal-quickstart/commit/ecaa5fa8e2910c9813ddccbf9e54f081298967cb#commitcomment-3386921

Comment 3 Peter Palaga 2013-06-10 07:08:44 UTC
Thanks for correcting me. There is a new patch in master with background-position: right top;


Note You need to log in before you can comment on or make changes to this bug.